com.holonplatform.datastore.mongo.core

## Enum DocumentWriteOption

- java.lang.Object
- - java.lang.Enum<DocumentWriteOption>
  - - com.holonplatform.datastore.mongo.core.DocumentWriteOption

- All Implemented Interfaces:
    com.holonplatform.core.datastore.DatastoreOperations.WriteOption, Serializable, Comparable<DocumentWriteOption>

      public enum DocumentWriteOption
      extends Enum<DocumentWriteOption>
      implements com.holonplatform.core.datastore.DatastoreOperations.WriteOption

  Document operations `DatastoreOperations.WriteOption`.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYPASS_VALIDATION` A `DatastoreOperations.WriteOption` to bypass document level validation.
    `UNORDERED` A `DatastoreOperations.WriteOption` which applies to multiple document insertion, to specify to not insert the documents in the order provided (stopping on the first failed insertion).
    `UPSERT` A `DatastoreOperations.WriteOption` to create a new document if there are no matches to the update filter.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DocumentWriteOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DocumentWriteOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYPASS_VALIDATION

          public static final DocumentWriteOption BYPASS_VALIDATION

      A `DatastoreOperations.WriteOption` to bypass document level validation.

      Applies to the `insert` and `update` operations.

    - #### UPSERT

          public static final DocumentWriteOption UPSERT

      A `DatastoreOperations.WriteOption` to create a new document if there are no matches to the update filter.

      Applies to the `update` operation.

    - #### UNORDERED

          public static final DocumentWriteOption UNORDERED

      A `DatastoreOperations.WriteOption` which applies to multiple document insertion, to specify to not insert the documents in the order provided (stopping on the first failed insertion). When this option is provided, the server will attempt to insert all the documents regardless of any failure.

      Applies to the `bulk insert` operation.

  - ### Method Detail

    - #### values

          public static DocumentWriteOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DocumentWriteOption c : DocumentWriteOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DocumentWriteOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.